Subject: Re: Vlan interface nuisance

From: Stephen Hemminger <[email-masked]>
Date: Sun, 01 Mar 2009 23:15:16 -0800

Herbert Xu wrote:
> Stephen Hemminger <[email-masked]> wrote:
>   
>> Subject: vlan: names should be consistent
>>
>> Vlan's created via netlink should be the same as vlan's created
>> via older interface. This patches changes is to be consistent.
>>
>> One could argue this is an API change (it changes behaviour of netlink
>> interface), but I argue this was a design bug when the netlink interface
>> to VLAN was added.
>>
>> Signed-off-by: Stephen Hemminger <[email-masked]>
>>     
>
> I don't see the point of this.  The new interface is available
> through ip(8) only, vconfig remains unchanged.  So the user is
> completely aware that the name may change as he's using a new
> command.
>
> In any case, ip(8) allows you to set the name to whatever you
> want at creation time.  So for those nostalgics you can still
> use ethX.Y through ip.
>
> Cheers,
>   
 Yes but their is no indication as to which interface was just created.